Name: XConfig 
Version: 4.0
Release: 19%{?dist}
License: GPL
Summary: The Red Flag Linux XWindow configuration tool.
Group: User Interface/Desktops
Source: show.tar.gz 
Source2: test.tar.gz
Source3: configX
Source4: xconfig.sh
Source5: display.desktop
Source6: show_ja.mo
Source7: test_ja.mo
Source8: pic4Asianux.tgz
Source9: show_tw.mo
Source10: test_tw.mo
Source11: show_ko.mo
Source12: test_ko.mo
Source13: pcitable.old
Source14: COPYING.GPL
Patch1: show-configure-ppc.patch
Patch2: XConfig-4.0-Detect-ppc.patch
Requires: kernel >= 2.4.0
BuildPrereq: qt-devel >= 3.0.0 
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
XConfig used to configure video card and monitor, change resolve ratio and color depth etc.

%prep
%setup -q -c -a 2
%ifarch ppc
%patch1 -p1
%endif
%ifarch ppc ppc64 ppc64pseries ppc64iseries
%patch2 -p1
%endif

%build
unset QTDIR && . /etc/profile.d/qt.sh
export QTLIB=$QTDIR/lib

cd show
./configure
make
cd show
./compile 
cd ../po
msgfmt zh_CN.GB2312.po -o show.mo
cd ../.. 

cd test
make
cd -

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/share/XConfig
mkdir -p  $RPM_BUILD_ROOT/usr/share/locale/zh_CN/LC_MESSAGES/
mkdir -p  $RPM_BUILD_ROOT/usr/bin
mkdir -p  $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p  $RPM_BUILD_ROOT/usr/local/xconfig

cd show
cp show/show $RPM_BUILD_ROOT/usr/share/XConfig/
cp show/monitor $RPM_BUILD_ROOT/usr/share/XConfig/
cp show/startxd $RPM_BUILD_ROOT/usr/share/XConfig/
#cp tui/xconf.qm $RPM_BUILD_ROOT/usr/share/XConfig/
cp po/show.mo $RPM_BUILD_ROOT/usr/share/locale/zh_CN/LC_MESSAGES/
cp ../test/test $RPM_BUILD_ROOT/usr/share/XConfig/
cp -f ../test/test.mo $RPM_BUILD_ROOT/usr/share/locale/zh_CN/LC_MESSAGES/
cp show/*.bmp $RPM_BUILD_ROOT/usr/share/XConfig/
cp show/*.xpm $RPM_BUILD_ROOT/usr/share/XConfig/
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT/usr/X11R6/bin/
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT/usr/share/XConfig/
(cd $RPM_BUILD_ROOT/usr/bin
ln -sf ../share/XConfig/show XConfig )

install -m 644 %{SOURCE5} $RPM_BUILD_ROOT/usr/share/XConfig/

mkdir -p $RPM_BUILD_ROOT/usr/share/locale/ja/LC_MESSAGES/
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT/usr/share/locale/ja/LC_MESSAGES/show.mo
install -m 644 %{SOURCE7} $RPM_BUILD_ROOT/usr/share/locale/ja/LC_MESSAGES/test.mo
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/zh_TW/LC_MESSAGES/
install -m 644 %{SOURCE9} $RPM_BUILD_ROOT/usr/share/locale/zh_TW/LC_MESSAGES/show.mo
install -m 644 %{SOURCE10} $RPM_BUILD_ROOT/usr/share/locale/zh_TW/LC_MESSAGES/test.mo
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/ko/LC_MESSAGES/
install -m 644 %{SOURCE11} $RPM_BUILD_ROOT/usr/share/locale/ko/LC_MESSAGES/show.mo
install -m 644 %{SOURCE12} $RPM_BUILD_ROOT/usr/share/locale/ko/LC_MESSAGES/test.mo

tar zxf %{SOURCE8} -C $RPM_BUILD_ROOT/usr/share/

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/
cp $RPM_BUILD_ROOT/usr/share/XConfig/display.desktop $RPM_BUILD_ROOT/etc/sysconfig/khwtree/GroupSys/

mkdir -p $RPM_BUILD_ROOT/usr/share/hwdata
cp %{SOURCE13} $RPM_BUILD_ROOT/usr/share/hwdata

cp %{SOURCE14} $RPM_BUILD_ROOT/usr/share/XConfig/

%post

%preun

%clean
rm -rf $RPM_BUILD_ROOT

%files 
/usr/share/XConfig/*
/usr/bin/XConfig
/usr/share/locale/zh_CN/LC_MESSAGES/*
/usr/share/locale/zh_TW/LC_MESSAGES/*
/usr/share/locale/ja/LC_MESSAGES/*
/usr/share/locale/ko/LC_MESSAGES/*
/usr/X11R6/bin/configX
/usr/share/hwdata/*
/etc/sysconfig/khwtree/GroupSys/display.desktop
%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* Tue Oct 06 2009 Mika Kamei <mkamei@miraclelinux.com> 4.0-19%{?dist}
- add Volari Z9S/Z9m support (Source13, AXBug#7097)

* Mon Feb 09 2009 Hua Jie <jiehua@redflag-linux.com> 4.0-18%{?dist}
- support devices ATI ES1000 and XGI Volari Z7/Z9(Source13, AXBug #5789)
- add license file(Source14)

* Tue Nov 18 2008 Mika Kamei <mkamei@miraclelinux.com> 4.0-17%{?dist}
- replace display.desktop (SOURCE5, AXBug#5501)

* Mon Nov 10 2008 Mika Kamei <mkamei@miraclelinux.com> 4.0-16%{?dist}
- add Japanese messages into display.desktop (modify SOURCE5, AXBug#5393)
 
* Mon Mar 19 2007 Hua Jie <jiehua@redflag-linux.com> 4.0-15AX
- add id 0x102b:0x0522 for "Matrox|MGA G200 AGP"(modify SOURCE13)

* Thu May 12 2006 Shu Li <shuli@redflag-linux.com> 4.0-14AX
- remove vendor Packager

* Mon Oct 10 2005 Hua Jie <jiehua@redflag-linux.com> 4.0-13AX
- modify Korean message file

* Thu Aug  4 2005 Jian Meng <jianmeng@redflag-linux.com> 4.0-12AX
- provide pcitable.old to avoid crash on some machine.

* Wed Jun 29 2005 Xu Xiaojing <xjxu@redflag-linux.com> 4.0-11AX
- enable to call "kcmshell background"

* Wed Jun 08 2005 Hua Jie <jiehua@redflag-linux.com> 4.0-10AX
- add Korean translation

* Thu May 24 2005 Hua Jie <jiehua@redflag-linux.com> 4.0-9AX
- add Japanese and Traditional Chinese message files.
- change pictures for Asianux
- mv xconfig.sh to /usr/share/XConfig

* Wed Apr  6 2005 Xu Xiaojing <xjxu@redflag-linux.com> 4.0-8AX
- Add patch 1 and 2 for ppc platform
- On ppc machine, use Framebuffer driver for X

* Thu Jul 29 2004 Jian Meng <jianmeng@redflag-linux.com> 4.0-3
- Fixed safemode shell-- configX and xconfig.sh

* Mon Jun 28 2004 Jian Meng <jianmeng@redflag-linux.com> 4.0-2
- restore safe mode function

* Thu Jun 3 2004 Jian Meng <jianmeng@redflag-linux.com> 4.0-1
- use show instead of tui, include other desktop configure

* Thu Jun 26 2003 Jian Meng <jianmeng@redflag-linux.com> 3.0-7
- fix interface align center
- unsetenv AUTHORITY

* Thu May 15 2003 Jian Meng <jianmeng@redflag-linux.com> 3.0-4
- If i810 videocard, skip test

* Sun Apr 18 2003 Jian Meng <jianmeng@redflag-linux.com> 3.0-3
- Fix key operation error

* Sun Apr 6 2003 Jian Meng <jianmeng@redflag-linux.com> 3.0-1
- Add Frequency select

* Fri Mar 21 2003 Xu Xiaojing <xjxu@redflag-linux.com> 2.0-6
- Add desktop file and install it to ctrlpanel

* Thu Jan 16 2003 Jian Meng <jianmeng@redflag-linux.com> 2.0-5
- fix 2 translate bugs
- replace display samples

* Thu Jan 9 2003 Jian Meng <jianmeng@redflag-linux.com> 2.0-4
- add dpms option to XF86Config-4 according to MonitorDB 

* Fri Dec 27 2002 Jian Meng <jianmeng@redflag-linux.com> 2.0-3
- add Horizental scrool bar to monitor selector and videocard selector combobox

* Fri Nov 29 2002 Jue Xie <juexie@redflag-linux.com>
- add ConfigX and xconfig.sh for safe mode 
